Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.database.creator
Class OwlDatabaseFromFileCreator

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.factory.AbstractOwlProjectCreator
          edu.stanford.smi.protegex.owl.database.creator.AbstractOwlDatabaseCreator
              edu.stanford.smi.protegex.owl.database.creator.OwlDatabaseFromFileCreator

    public class OwlDatabaseFromFileCreator

extends AbstractOwlDatabaseCreator

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.database.creator.AbstractOwlDatabaseCreator
`project`

Fields inherited from class edu.stanford.smi.protegex.owl.model.factory.AbstractOwlProjectCreator
`factory`

Constructor Summary
`OwlDatabaseFromFileCreator()`
`OwlDatabaseFromFileCreator(OWLDatabaseKnowledgeBaseFactory factory)`

Method Summary
`void` | `addRepository(Repository repository)`
`void` | `clearRepositories()`
`void` | `create(Collection errors)`
`List<Repository>` | `getRepositories()`
`boolean` | `isMergeImportMode()`
`protected void` | `loadProjectRepositories(OWLDatabaseModel owlModel)`
`void` | `setMergeImportMode(boolean isMergeImportMode)`
`void` | `setOntologySource(String uri)`

Methods inherited from class edu.stanford.smi.protegex.owl.database.creator.AbstractOwlDatabaseCreator
`getDriver, getOwlModel, getPassword, getProject, getTable, getUrl, getUsername, initializeSources, initializeTable, setDriver, setPassword, setTable, setURL, setUsername`

Methods inherited from class edu.stanford.smi.protegex.owl.model.factory.AbstractOwlProjectCreator
`addViewSettings, getFactory, insertRepositoriesIntoOwlModel, setDefaultClassView, setProfileURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OwlDatabaseFromFileCreator

    public OwlDatabaseFromFileCreator()

### OwlDatabaseFromFileCreator

    public OwlDatabaseFromFileCreator(OWLDatabaseKnowledgeBaseFactory factory)

Method Detail

### create

    public void create(Collection errors)
                throws edu.stanford.smi.protege.exception.OntologyLoadException

  Overrides:
    `create` in class `AbstractOwlDatabaseCreator`
  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### loadProjectRepositories

    protected void loadProjectRepositories(OWLDatabaseModel owlModel)

### setOntologySource

    public void setOntologySource(String uri)

### addRepository

    public void addRepository(Repository repository)

### clearRepositories

    public void clearRepositories()

### getRepositories

    public List<Repository> getRepositories()

  Overrides:
    `getRepositories` in class `AbstractOwlProjectCreator`

### isMergeImportMode

    public boolean isMergeImportMode()

### setMergeImportMode

    public void setMergeImportMode(boolean isMergeImportMode)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.